# 48. クエリ: 「TopographyMap」からグリッドデータを取得

「TopographyMap」に関連するラスタ データセットからソース データを取得するクエリとして `GEOJSON`  ポイント付きまたは `GEOTIFF`。properties 属性には、ポイントごとのすべての地形派生物（DEM、傾斜、起伏部分、粗さ、方位、ハイルシェードなど）が含まれます。&#x20;

#### 1. エクスポートするファイルをリクエストする

{% hint style="danger" %}
推奨：次を使用して単一のデータセットのみを取得すること `sourceDataUrl` リクエストごとに。&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`、および `MinusTwoPixels` として利用可能です `バッファ`.

`GEOJSON` と `GEOTIFF` フォーマットとして利用可能です。&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromTopographyMap {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      topographyMaps(topographyMapUuids: ["<placeholder_of_topography_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. 生成されたファイルをダウンロードする

ファイルの準備が成功した後、次を使用してダウンロードできます `curl` または同様の方法。

{% hint style="danger" %}
`sourceDataUrl` リンクは以下の期間のみアクセス可能です **60 秒。**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/48-kueri-topographymapkaraguriddodtawo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
